
%global meadversion 1.1.6
%global namedversion 1.1.6.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package javaewah} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.1.6.redhat-00001

Name:		%{?scl_prefix}javaewah
Summary:	JavaEWAH is a word-aligned compressed variant of the Java bitset class
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: JavaEWAH-1.1.6.redhat-00001-scm-sources.zip
Source102: JavaEWAH-1.1.6.redhat-00001-sources.jar
Source103: JavaEWAH-1.1.6.redhat-00001.pom
Source104: JavaEWAH-1.1.6.redhat-00001.jar
Source105: JavaEWAH-1.1.6.redhat-00001-project-sources.tar.gz
Source106: JavaEWAH-1.1.6.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/lemire/javaewah
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
This is a word-aligned compressed variant of the Java Bitset class.
We provide both a 64-bit and a 32-bit RLE-like compression scheme.It can be used to implement bitmap indexes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javaewah
Group:          Development/Java


%description javadoc
Javadoc for javaewah
%endif

%prep
%setup -q -n javaewah -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
ls -al %{_sourcedir}

%{__cp} -p %{_sourcedir}/JavaEWAH-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/JavaEWAH-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && ln -s JavaEWAH-%{namedversion}.jar JavaEWAH.jar)
(cd %{buildroot}%{_javadir} && ln -s JavaEWAH-%{namedversion}-sources.jar JavaEWAH-sources.jar)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/javaewah-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/JavaEWAH-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javaewah-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s javaewah-%{namedversion} javaewah)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javaewah
%{_javadocdir}/javaewah-%{namedversion}
%endif


%changelog
* Mon Sep 03 2018 Yong Yang <yyang@redhat.com> - 1.1.6-1.redhat_00001.1
-  1.1.6.redhat-00001 

* Mon Sep 03 2018 Yong Yang <yyang@redhat.com> - 1.1.6-1.redhat_00001.1
-  1.1.6.redhat-00001 

* Mon Sep 03 2018 Yong Yang <yyang@redhat.com> - 1.1.6
- Init build
